> ## Documentation Index
> Fetch the complete documentation index at: https://apidoc.sign.plus/llms.txt
> Use this file to discover all available pages before exploring further.

# Add template annotation



## OpenAPI

````yaml post /template/{template_id}/annotation
openapi: 3.0.0
info:
  title: Sign.plus Developer API v2
  description: Integrate legally-binding electronic signature to your workflow
  version: 2.8.0
  contact:
    name: Sign.Plus
    url: https://sign.plus
    email: support@alohi.com
servers:
  - url: https://restapi.sign.plus/v2
    description: Sign.Plus API - Production
security: []
tags:
  - name: signplus
    description: Sign.plus API
paths:
  /template/{template_id}/annotation:
    post:
      tags:
        - signplus
      summary: Add template annotation
      operationId: add_template_annotation
      parameters:
        - in: path
          name: template_id
          required: true
          schema:
            type: string
          description: ID of the template
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddAnnotationRequest'
      responses:
        '200':
          description: Annotation added successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Annotation'
      security:
        - BearerAuth:
            - SIGN_ALL_EDIT
components:
  schemas:
    AddAnnotationRequest:
      type: object
      properties:
        recipient_id:
          type: string
          description: ID of the recipient
        document_id:
          type: string
          description: ID of the document
        page:
          type: integer
          description: Page number where the annotation is placed
        x:
          type: number
          format: float
          description: >-
            X coordinate of the annotation (in % of the page width from 0 to
            100) from the top left corner
        'y':
          type: number
          format: float
          description: >-
            Y coordinate of the annotation (in % of the page height from 0 to
            100) from the top left corner
        width:
          type: number
          format: float
          description: Width of the annotation (in % of the page width from 0 to 100)
        height:
          type: number
          format: float
          description: Height of the annotation (in % of the page height from 0 to 100)
        required:
          type: boolean
        type:
          $ref: '#/components/schemas/AnnotationType'
        signature:
          $ref: '#/components/schemas/AnnotationSignature'
        initials:
          $ref: '#/components/schemas/AnnotationInitials'
        text:
          $ref: '#/components/schemas/AnnotationText'
        datetime:
          $ref: '#/components/schemas/AnnotationDateTime'
        checkbox:
          $ref: '#/components/schemas/AnnotationCheckbox'
      required:
        - document_id
        - page
        - x
        - 'y'
        - width
        - height
        - type
    Annotation:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier of the annotation
        recipient_id:
          type: string
          description: ID of the recipient
        document_id:
          type: string
          description: ID of the document
        page:
          type: integer
          description: Page number where the annotation is placed
        x:
          type: number
          format: float
          description: >-
            X coordinate of the annotation (in % of the page width from 0 to
            100) from the top left corner
        'y':
          type: number
          format: float
          description: >-
            Y coordinate of the annotation (in % of the page height from 0 to
            100) from the top left corner
        width:
          type: number
          format: float
          description: Width of the annotation (in % of the page width from 0 to 100)
        height:
          type: number
          format: float
          description: Height of the annotation (in % of the page height from 0 to 100)
        required:
          type: boolean
          description: Whether the annotation is required
        type:
          $ref: '#/components/schemas/AnnotationType'
        signature:
          $ref: '#/components/schemas/AnnotationSignature'
        initials:
          $ref: '#/components/schemas/AnnotationInitials'
        text:
          $ref: '#/components/schemas/AnnotationText'
        datetime:
          $ref: '#/components/schemas/AnnotationDateTime'
        checkbox:
          $ref: '#/components/schemas/AnnotationCheckbox'
    AnnotationType:
      type: string
      description: Type of the annotation
      enum:
        - TEXT
        - SIGNATURE
        - INITIALS
        - CHECKBOX
        - DATE
    AnnotationSignature:
      type: object
      description: Signature annotation (null if annotation is not a signature)
      properties:
        id:
          type: string
          description: Unique identifier of the annotation signature
    AnnotationInitials:
      type: object
      description: Initials annotation (null if annotation is not initials)
      properties:
        id:
          type: string
          description: Unique identifier of the annotation initials
    AnnotationText:
      type: object
      description: Text annotation (null if annotation is not a text)
      properties:
        size:
          type: number
          description: Font size of the text in pt
        color:
          type: number
          description: Text color in 32bit representation
        value:
          type: string
          description: Text content of the annotation
        tooltip:
          type: string
          description: Tooltip of the annotation
        dynamic_field_name:
          type: string
          description: Name of the dynamic field
        font:
          $ref: '#/components/schemas/AnnotationFont'
    AnnotationDateTime:
      type: object
      description: Date annotation (null if annotation is not a date)
      properties:
        size:
          type: number
          description: Font size of the text in pt
        font:
          $ref: '#/components/schemas/AnnotationFont'
        color:
          type: string
          description: Color of the text in hex format
        auto_fill:
          type: boolean
          description: Whether the date should be automatically filled
        timezone:
          type: string
          description: Timezone of the date
        timestamp:
          type: integer
          description: Unix timestamp of the date
        format:
          $ref: '#/components/schemas/AnnotationDateTimeFormat'
    AnnotationCheckbox:
      type: object
      description: Checkbox annotation (null if annotation is not a checkbox)
      properties:
        checked:
          type: boolean
          description: Whether the checkbox is checked
        style:
          $ref: '#/components/schemas/AnnotationCheckboxStyle'
    AnnotationFont:
      type: object
      properties:
        family:
          $ref: '#/components/schemas/AnnotationFontFamily'
        italic:
          type: boolean
          description: Whether the text is italic
        bold:
          type: boolean
          description: Whether the text is bold
    AnnotationDateTimeFormat:
      type: string
      description: >-
        Format of the date time (DMY_NUMERIC_SLASH is day/month/year with
        slashes, MDY_NUMERIC_SLASH is month/day/year with slashes,
        YMD_NUMERIC_SLASH is year/month/day with slashes, DMY_NUMERIC_DASH_SHORT
        is day/month/year with dashes, DMY_NUMERIC_DASH is day/month/year with
        dashes, YMD_NUMERIC_DASH is year/month/day with dashes,
        MDY_TEXT_DASH_SHORT is month/day/year with dashes, MDY_TEXT_SPACE_SHORT
        is month/day/year with spaces, MDY_TEXT_SPACE is month/day/year with
        spaces)
      enum:
        - DMY_NUMERIC_SLASH
        - MDY_NUMERIC_SLASH
        - YMD_NUMERIC_SLASH
        - DMY_NUMERIC_DASH_SHORT
        - DMY_NUMERIC_DASH
        - YMD_NUMERIC_DASH
        - MDY_TEXT_DASH_SHORT
        - MDY_TEXT_SPACE_SHORT
        - MDY_TEXT_SPACE
    AnnotationCheckboxStyle:
      type: string
      description: Style of the checkbox
      enum:
        - CIRCLE_CHECK
        - CIRCLE_FULL
        - SQUARE_CHECK
        - SQUARE_FULL
        - CHECK_MARK
        - TIMES_SQUARE
    AnnotationFontFamily:
      type: string
      description: Font family of the text
      enum:
        - UNKNOWN
        - SERIF
        - SANS
        - MONO
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````